<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanySubModesOfPaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_sub_modes_of_payments', function (Blueprint $table) {
            $table->id();
            $table->string('mode_id', 10)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('deleted_by')->nullable();
            $table->softDeletes();
            $table->string('created_by', 10)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_sub_modes_of_payments');
    }
}
